#include "pch.h"
#include "Building.h"
Building::Building(const std::string& filePath, const Vector2f& position, TextureManager* pTextureManager): m_Position(position) {
	m_Texture = pTextureManager->GetTexture(filePath);
	m_Size = Vector2f(m_Texture->GetWidth(), m_Texture->GetHeight());
}
Building::~Building() {
}
void Building::Draw() const {
	m_Texture->Draw(m_Position);
}
void Building::Update(float dt) {
}
